
/**
 * Title:        ASCII File Adapter<p>
 * Description:  This package contains all non JCA classes of the
 * ASCII file adapter.<p>
 * Copyright:    Copyright (c) Atul Apte<p>
 * Company:      iConexio Technologies Inc.<p>
 * @author Atul Apte
 * @version 1.0
 */
package com.iconexio.asciiFileAdapter;

// This class contains the basic control data required to parse any ASCII
// file namely the field delimiter. This class can be extended for more complex
// control data.

public class MetaDataControl extends Object
{
  public MetaDataControl()
  {
  }
  public MetaDataControl(int afID, String fName, String fValue)
  {
    fID = afID;
    fname = new String(fName);
    fvalue = new String(fValue);
  }
  public int getID()
  {
    return(fID);
  }
  public String getName()
  {
    return(fname);
  }
  public String getValue()
  {
    return(fvalue);
  }
  private int fID;
  private String fname;
  private String fvalue;
}
